let justificacion;
const cargarDatos = () => {
	justificacion = JSON.parse(localStorage.getItem('data'));

	$("#spanNombres").text(`${justificacion.trabajador_apellidos} ${justificacion.trabajador_nombres}`)
	initDateRangePicker("#dpRangoFechas")
	$("#dpRangoFechas").data('daterangepicker').setStartDate(justificacion.fecha_inicio)
	$("#dpRangoFechas").data('daterangepicker').setEndDate(justificacion.fecha_fin)
	$("#spanTipoJustificacion").text(`${justificacion.tipojustificacion_descripcion}`)
	if (justificacion.tipojustificacion_descripcion == "TARDANZA") {
		$("#spanHora").text(`${justificacion.hora_ingreso}`)
		$("#divHora").removeClass('hidden')
	}


	$("#spanMotivo").text(`${justificacion.motivo}`)
	$("#txtObservacion").text(`${justificacion.observacion}`)
	$("#spanNumeroDocumentosAdjuntos").text(`${justificacion.numero_documentos_adjuntos}`)
	let documentos = justificacion.documentos;
	debugger
//	let urlDocumento = documentos[0].url
//	$("#imgDocumento").attr('height', '200px')
//	$("#imgDocumento").attr('width', '200px')
//	$("#imgDocumento").attr('src', urlDocumento)

//	documentos.forEach(documento => {
//	let html = `<div class="col-md-4">
//								<img src="${documento.url}">
//							</div>`
//
//		$("#divDocumentos").html(html)
//	})
	let html = ""
	html +=
		documentos.map(documento =>
			`<div class="col-md-3">
				<img src="${documento.url}">
			 </div>`
		)
		.join("")
	$("#divDocumentos").html(html)
}

const justificar = (estadoJustificacion = 1) => {

	let titulo = "";
	let textoConfirmacion = ""
	let tituloOperacion = "";
	if (estadoJustificacion == 1) {
		titulo = 'Está seguro de aceptar la justificación?';
		textoConfirmacion = 'Sí';
		tituloOperacion = '¡Justificación aceptada!!';
	} else if (estadoJustificacion == 2) {
		titulo = 'Está seguro de rechazar la justificación?';
		textoConfirmacion = 'Sí!';
		tituloOperacion = '¡Justificación rechazada!';
	}

	swal({
		title: titulo,
		text: "",
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: textoConfirmacion
	}).then((result) => {


		if (result.value) {
			let {id} = justificacion
			let params = cleanQueryParams({
				estado: estadoJustificacion
			})

			ajaxWebService.patch(`${URI_JUSTIFICACION}/${id}`, params).then((response) => {
				if (response.status) {
					swal({
						type: 'success',
						title: tituloOperacion,
						showConfirmButton: false,
						timer: 1500
					}).then((result) => {
						window.location.href = `${contextPath}vistas/listadoJustificacion.jsp`
					});
				}
			})
		}
	});




}

const aceptarJustificacion = () => {
	justificar()
}
const rechazarJustificacion = () => {
	justificar(2)
}


$(document).ready(function () {
	cargarDatos()
	$("#btnAceptar").click(aceptarJustificacion)
	$("#btnRechazar").click(rechazarJustificacion)
})